/* 
   csw-split-carousel.js 
   
   Version: [2018-01-02 01:28 pm]
*/

var splitCarousels = [];

function initSplitCarousel(elementID, infiniteLoop, autoHeight, showArrows, showDots, slideWait, slideSpeed, slideEffect, paginationStyle)
{
	var args = {			 
         navigation: {
            nextEl: '#cswSplit' + elementID + ' .swiper-button-next',
            prevEl: '#cswSplit' + elementID + ' .swiper-button-prev',
          },
			slidesPerView: 1,
			spaceBetween: 30,				// Distance between slides in px.
			speed: slideSpeed,			// Duration of transition between slides (in ms)
			loop: infiniteLoop,
			autoHeight: autoHeight,		// Set to true and slider wrapper will adopt its height to the height of the currently active slide
			effect: slideEffect,		
			autoHeight: autoHeight
		};

	if( paginationStyle != 'none' )
	{
		args["pagination"] = {
            el: '#cswSplit' + elementID + ' .swiper-pagination',
            type: paginationStyle,
            clickable: true
         };
	}

   if( slideWait > 0 )
   {
      args["autoplay"] = { delay: slideWait, disableOnInteraction: true };
   }
	
	
		
	var swiper = new Swiper('#cswSplit' + elementID, args);
	
	splitCarousels.push(elementID);
}

function doResize() 
{
	var i = 0;
	for( i=0; i < splitCarousels.length; i++ )
	{
		var imgHeight = 0;
		var elementID = splitCarousels[i];
		
		jQuery('#cswSplit' + elementID + ' .slider-image').each( function(index,value){
			h = jQuery(this).outerHeight();
			if( h > 0 )
			{
				imgHeight = h;
				return false;
			}
		});

		if( imgHeight > 0 )
		{
			jQuery( '#cswSplit' + elementID + ' .swiper-button-next' ).css('top', (imgHeight/2) - 44 + 'px');
			jQuery( '#cswSplit' + elementID + ' .swiper-button-prev' ).css('top', (imgHeight/2) - 44 + 'px');
		}
	}
}
